%define lib_major	3
%define lib_name_orig 	libtclink

%define libname		%mklibname tclink %lib_major
%define libnamedev	%{libname}-devel

%define tclink_c_version 3.4
%define tclink_version 3.4

Summary:	TrustCommerce payment
Name:		tclink
Version:	%{tclink_version}
Release:	3mdk
Group:		System/Servers
License:	LGPL
URL:		http://www.trustcommerce.com/tclink.html
Source0:	%{name}-%{tclink_c_version}-C.tar.bz2
Patch0:		tclink-3.4-C-soname.diff.bz2
Provides:	ADVXpackage
BuildRequires:	openssl-devel
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
TCLink is a thin client library to allow your e-commerce servers to
connect to the TrustCommerce payment gateway easily and consistently.
The protocol (which is the same across all platforms and languages) is
well-documented in the Web Developer's Guide, so please consult it for
any questions you may have about the protocol syntax itself.

The TrustCommerce web site is at http://www.trustcommerce.com

%package -n	%{libname}
Summary:	Main library for tclink
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Provides: 	ADVXpackage

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with tclink (Trust Commerce Payment Gateway).

%package -n	%{libnamedev}
Summary:	Headers for developping programs with TCLink
Group:		Development/Other
Requires:	%{libname} = %version-%release
Provides:	%{lib_name_orig}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides: 	ADVXpackage

%description -n	%{libnamedev}
This package contains the header file you need to develop applications
which will use TCLink (Trust Commerce Payment Gateway).

%prep

%setup -q -n %{name}-%{tclink_c_version}-C

%patch0 -p0
perl -pi -e "s|_MAJOR_|%{lib_major}|g" Makefile*

# fix strange perms
chmod 644 README doc/*

%build

%configure2_5x \
    --with-ssl-dir=%{_prefix}

%make CFLAGS="%{optflags} -fPIC"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/%{libname}
install -d %{buildroot}%{_includedir}/%{libname}

install -m0755 %{lib_name_orig}.so.%{lib_major} %{buildroot}%{_libdir}/
ln -snf %{lib_name_orig}.so.%{lib_major} %{buildroot}%{_libdir}/%{lib_name_orig}.so

install -m0755 %{lib_name_orig}.a %{buildroot}%{_libdir}/%{libname}/
install -m0644 tclink.h %{buildroot}%{_includedir}/%{libname}/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%doc README
%{_libdir}/*.so.*

%files -n %{libnamedev}
%defattr(-,root,root)
%doc doc/TCDevGuide.txt doc/TCDevGuide.html
%{_libdir}/*.so
%{_libdir}/%{libname}/*.a
%{_includedir}/%{libname}/*.h

%changelog
* Sun May 23 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.4-3mdk
- fix buildrequires

* Sat May 22 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.4-2mdk
- broke out the php extension into its own package
- P0, fix soname (where did it go?)
- update url
- misc spec file fixes

* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.4-1mdk
- built for php 4.3.4
- TCLink-C 3.4
- TCLink-php 3.4

* Mon Jul 21 2003 David Baudens <baudens@mandrakesoft.com> 3.3.1-15mdk
- Rebuild to fix bad signature

* Tue Jun 03 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.3.1-14mdk
- rebuild for php v4.3.2
- use the %%configure2_5x macro

* Mon May 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.3.1-13mdk
- the obvious rebuild

* Mon Jan 20 2003 Frederic Lepied <flepied@mandrakesoft.com> 3.3.1-12mdk
- use %%mklibname

* Sun Jan 19 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 3.3.1-11mdk
- rebuild with new openssl
- try to use %%mklibname, only to have it fail miserably. flepied, can you
  check that out?

* Sun Jan  5 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 3.3.1-10mdk
- New 4.3.0 PHP release
- New method of installing extensions thanks to Oden Eriksson
- Add Provides: ADVXpackage, all ADVX package will have this tag, 
  so we can easily do a rpm --whatprovides ADVXpackage to find out
  what ADVX packages a user has installed on his system. 
- Add soname to libtclink.so.3

* Mon Nov 25 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 3.3.1-9mdk
- Up relase to 9mdk to try and get Cooker to synchronize

* Fri Nov 22 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 3.3.1-4mdk
- Make php-tclink require only libtclink, not libtclink-devel 
- Add tclink version to php-tclink version, so the package stops being
  rejected!

* Thu Nov 21 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 3.3.1-3mdk
- re-added BuildRequires openssl-devel (thanks Stefan)

* Wed Nov 20 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 3.3.1-2mdk
- New 3.3.1 API

* Tue Oct 29 2002 Stefan van der Eijk <stefan@eijk.nu> 3.3-8mdk
- BuildRequires: openssl-devel php-pear

* Sat Sep  7 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 3.3-8mdk
- PHP 4.2.3 maintenance release
- Do not reload apache
- Why was it missing in Cooker?!!?!

* Sat Sep 07 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.2.3-1mdk
- 4.2.3 maintenance release
- Do not reload apache

* Thu Aug 22 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 3.3-7mdk
- Rebuild for 4.2.2
- Macroize a bit more, make php version depend on "php -v"

* Thu May 30 2002 Christian Belisle <cbelisle@mandrakesoft.com> 3.3-6mdk
- rebuild against latest php.

* Fri Mar 22 2002 David BAUDENS <baudens@mandrakesoft.com> 3.3-5mdk
- Sync phpversion with php package. I really like packages which are not builded
  on the cluster...

* Fri Mar 22 2002 David BAUDENS <baudens@mandrakesoft.com> 3.3-4mdk
- Use %%release for phprelease

* Fri Mar 22 2002 David BAUDENS <baudens@mandrakesoft.com> 3.3-3mdk
- Clean after build
- Requires %%version-%%release and not only %%version
- Use %%version-%%release in changelog

* Tue Feb 05 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.1.1-2mdk
- Fix spec and reput the documentation into the devel package

* Tue Feb 05 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.1.1-1mdk
- New 3.3 API finally compiles with PHP 4.1!

* Mon Oct 29 2001 Christian Belisle <cbelisle@mandrakesoft.com> 4.0.6-2mdk
- Fixed errors in changelog.
- Fixed devel files location.

* Thu Oct 25 2001 Christian Belisle <cbelisle@mandrakesoft.com> 4.0.6-1mdk
- PHP 4.0.6.
- TCLink-C 3.2.2.
- TCLink-php 3.2.6.
- s/Copyright/License.
- TCLink-C no longer in the php package.
- Respect library policy (spec cleaning).

* Sat Apr 14 2001 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.0.4pl1-1mdk
- New package, will be used by the Mandrake Payment web sites
